<template>
    <div>
      <date-input
        :startingDate="startingDate"
        @changeDate="changeDate"/>
      <date-table
        :date="date"
        @changeStartingDate="changeStartingDate"
      />
    </div>
</template>

<script>
import moment from 'moment';
import DateInput from '../components/DateInput.vue';
import DateTable from '../components/DateTable.vue';

export default {
  name: 'Main',
  components: { DateTable, DateInput },

  data() {
    return {
      date: moment().format('YYYY-MM-DD'),
      startingDate: '',
    };
  },

  methods: {
    changeDate(date) {
      this.date = date;
    },

    changeStartingDate(startingDate) {
      this.startingDate = startingDate;
    },
  },
};
</script>
